API reference
Media
Product images and videos
Create
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/media/create" \ -H "Content-Type: application/json" \ -d '{ "productId": "string", "urls": [ "string" ] }'{}Delete
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/media/delete" \ -H "Content-Type: application/json" \ -d '{ "mediaKey": "string", "productId": "string" }'{}Delete Many
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/media/deleteMany" \ -H "Content-Type: application/json" \ -d '{ "mediaKeys": [ "string" ], "productId": "string" }'{}Reorder
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/media/reorder" \ -H "Content-Type: application/json" \ -d '{ "orderedUrls": [ "string" ], "productId": "string" }'{}Update
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://www.prolifto.store/api/media/update" \ -H "Content-Type: application/json" \ -d '{ "alt": "string", "mediaId": "string", "productId": "string" }'{}